---
title: Galactic Fortress 4
layout: base.njk
---

# {{title}}

**GF4** is a virtual hackerspace and computer club.   We are a collective of freethinkers who share information, computational resources, and hosted services on a private network.

GF4 is, and always will be, private and invite-only.  If you are a member and have set up wireguard, you can [enter the private portal](https://www.ksn.gf4/).

---

## Web search

You can use this free private web search with no trackers or data-harvesting.

{% include 'websearch.njk' %}

---

## Comms

### Email
Our users can be reached at `USERNAME@gf4.pw` or `*@USERNAME.gf4.pw`.  Maybe you came here after recieving an email from this domain?  You can rest assured that the account is owned by a real vetted person.

If you are receiving spam or email errors from our server, please email `postmaster@` on this domain.

### Matrix
You can federate with us on [matrix](https://matrix.org/) at this domain.  Users have the handle `@USERNAME:gf4.pw`.

### Mumble
There's a mumble server running on this domain.  Connect to it with any mumble client and give yourself any username.  Leave the password field blank.

---

## Social

### Gitea
Gitea is a github replacement and we use it to host our public repos.

> [gitea.gf4.pw](https://gitea.gf4.pw/)

---

## Games

### Urban Terror
We host a public [Urban Terror](https://www.urbanterror.info/) server on this domain.  Come say hello on matrix ([#urt:gf4.pw](https://matrix.to/#/#urt:gf4.pw)) or [signal](https://sig.gf4.pw/urt).  We play on blue team against robots.  Voice chat on signal or mumble.

---

## Tools

### Web search
**Searx** private web search instance.  Outgoing queries are routed through our tor bridge

> [searx.gf4.pw](https://searx.gf4.pw/)

### Speedtest
Use this handy speedtest to check your internet speed against this server.

> [speedtest.gf4.pw](https://speedtest.gf4.pw/)

### Tor bridges
Use our **tor bridges** to prevent timing attacks (see [YouTube: Computerphile: How Tor works](https://www.youtube.com/watch?v=QRYzre4bf7I)).

Paste these lines in your Tor Browser connection settings under "add custom bridges".

```
obfs4 172.93.54.60:8443 D5E9F7BED027D899F25E34440FEBF7B31107EB71 cert=/2fABoJN05CqJZI14iVMwxMAZEBHLfgTsuU5q1YApW/hc+vZ7WwCTW3fLXYwXiMIn2R8Pg iat-mode=0
obfs4 172.93.54.60:8823 6C67EC75FED388AA59984159C96865BDB767772F cert=OS1G9pm7i3MkhwFG29Ld+xCeCIYsiEg1JAJMOJgNMk/OV6ekNQiY6nLaw78/ehEIMnGkMg iat-mode=0
```

### Push notifications
**ntfy** is a service that sends notifications on receiving a webhook.

> [ntfy.gf4.pw](https://ntfy.gf4.pw/)

### Monero node
You can use our remote monero node by entering `gf4.pw:18081` into your xmr software.

<!--
Join

{{ 'To: join@gf4.pw
From: $YOUR_PERSONAL_EMAIL
Subject: $NEW_USERNAME

-----BEGIN PGP PUBLIC KEY BLOCK-----
$YOUR_PUBLIC_KEY
-----END PGP PUBLIC KEY BLOCK-----' | toHex | fold(93) }}

-->
