---
title: Installing Wireguard
layout: base.njk
---

# {{title}}

To access GF4's private services, you'll need to connect your device to our VPN.  You can connect as many devices as you want (using the wireguard dashboard), but if you're reading this page, you are probably connecting your first device.  

## But what is it

**TODO**: Explanation of VPNs, assuming the reader has been bombarded by ads for NordVPN and thinks they know what a VPN is.  

### Is this safe?

**TODO**: Explain why this is safe: 

 - Modern OSs pack sane default firewalls
 - Invite-only means network participants are generally trustworthy

## Joining the network

Follow the directions for your respective platform.  Report any issues to [ki9@gf4.pw](mailto:ki9@gf4.pw).  

**TODO**: Split these into seperate pages

### Linux

#### Debian/Ubuntu

Install wireguard and patch [this bug](https://superuser.com/questions/1500691/usr-bin-wg-quick-line-31-resolvconf-command-not-found-wireguard-debian) using these commands: 

```
sudo apt install wireguard
sudo ln -s /usr/bin/resolvectl /usr/local/bin/resolvconf
```

Edit the config file as root

```
sudo nano /etc/wireguard/gf4.conf
```

Paste your configuration in there.  If using `systemd-resolved`, adding this line to the `[Interface]` section of the wireguard config to ensure `.gf4` domains resolve through the wireguard interface.  

```
PostUp = resolvectl domain gf4 gf4
```

Finally save the file and start the service with: 

```
sudo systemctl start wg-quick@gf4
```

Enable the VPN to start on boot by running: 

```
sudo systemctl enable wg-quick@gf4
```

### Android

**TODO:** Android wireguard configuration. 

### Mac

**HELP WANTED:** Instructions for configuring on MacOS. 

### Windows

**HELP WANTED:** Instructions for configuring on Windows 10. 

### iPhone

**HELP WANTED:** Instructions for configuring on an iPhone. 

## Testing

You know everything is working if you can access [the private portal](https://www.ksn.gf4/) on the device.  If you see a privacy warning, wireguard is working and you can move on to the next step: [Installing the GF4 CA certificate](/nebuchadnezzar/ca/).  

< [Back](/nebuchadnezzar/)